Index: src/tilp/src/ctree.c
===================================================================
--- src/ctree.c	(revision 4314)
+++ src/ctree.c	(working copy)
@@ -301,6 +301,7 @@
 	GdkPixbuf *pix9 = NULL;
 	GtkTreeIter parent_node;
 	GtkTreeIter child_node;
+	GtkIconTheme *theme;
 	GNode *vars, *apps;
 	int i, j;
 
@@ -350,11 +351,12 @@
 	memcpy(&parent_node, &vars_node, sizeof(GtkTreeIter));
 
 	// load pixmaps
-	pix1 = create_pixbuf("ctree_close_dir.png");
+	theme = gtk_icon_theme_get_default ();
+	pix1 = gtk_widget_render_icon (view, GTK_STOCK_DIRECTORY, 16, NULL);
 	pix2 = create_pixbuf("TIicon2.ico");
-	pix3 = create_pixbuf("ctree_open_dir.png");
-	pix4 = create_pixbuf("attr_locked.png");
-	pix5 = create_pixbuf("attr_archived.png");
+	pix3 = gtk_icon_theme_load_icon (theme, "folder-open", 16, 0,NULL);
+	pix4 = gtk_icon_theme_load_icon (theme, "emblem-readonly", 16, 0,NULL);
+	pix5 = gtk_icon_theme_load_icon (theme, "emblem-system", 16, 0,NULL);
 	pix6 = create_pixbuf("TIicon4.ico");
 
 	// variables tree
